Method: vdc.proofUser

一种端点,用于使用指定的一组凭证和特定设备来验证用户的数字凭据。

HTTP 请求

POST https://example.issuer.com/api/v1/vdc/proofUser

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "deviceReferenceId": string,
  "proofingId": string,
  "evidence": [
    {
      object (ProofingEvidence)
    }
  ],

  // Union field proofing_context can be only one of the following:
  "reverificationContext": {
    object (ReverificationContext)
  }
  // End of list of possible types for union field proofing_context.
}
字段
requestMetadata

object (RequestMetadata)

有关请求的元数据,所有请求中都需要提供。

deviceReferenceId

string

与设备对应的 ID 以及与设备关联的身份密钥。此 ID 不是设备 ID,也就是说,如果用户在同一设备上拥有两个不同的凭据,则此 ID 会有所不同。

此 ID 会在所有请求中提供,可用于关联请求。

proofingId

string

一个不透明的标识符,用于表示特定设备的特定证据包的验证。

示例:UUID

evidence[]

object (ProofingEvidence)

证明用户身份以获取数字凭证所需的证据列表。

联合字段 proofing_context。校对上下文。对于初始校对,该字段为空。proofing_context 只能是下列其中一项:
reverificationContext

object (ReverificationContext)

重新验证证明的上下文。

响应正文

对用户数字凭据验证请求的确认,表示验证正在处理中。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "responseMetadata": {
    object (ResponseMetadata)
  },
  "proofingId": string
}
字段
responseMetadata

object (ResponseMetadata)

有关响应的元数据,所有响应中都需要包含此元数据。

proofingId

string

表示特定设备上具有特定证据包的验证的不透明标识符。这与请求中发送的证明 ID 相同。

ProofingEvidence

表示单条证据的对象。

JSON 表示法
{

  // Union field evidence_type can be only one of the following:
  "preAuthorizationCode": {
    object (Evidence)
  }
  // End of list of possible types for union field evidence_type.
}
字段
联合字段 evidence_type。一个 oneof,用于指示证据的呈现方式。evidence_type 只能是下列其中一项:
preAuthorizationCode

object (Evidence)

签发者发送的预授权代码。

证据

表示单条证据的对象。

JSON 表示法
{

  // Union field presencetype can be only one of the following:
  "encryptedData": {
    object (EncryptedData)
  },
  "unencryptedValue": string,
  "unencryptedInteger": integer
  // End of list of possible types for union field presencetype.
}
字段
联合字段 presencetype。一个 oneof,用于指示证据的呈现方式。presencetype 只能是下列其中一项:
encryptedData

object (EncryptedData)

加密值以及解密该值所需的加密元数据。

unencryptedValue

string

证据的 base64 编码值。

unencryptedInteger

integer

证据的整数值。

ReverificationContext

触发凭据重新验证所需的上下文。

JSON 表示法
{
  "credentialId": string
}
字段
credentialId

string

要重新验证的凭据 ID。